#ifndef TIMER_H
#define TIMER_H

#include <stdio.h>

class CTimer
{
public:
    CTimer();

    void    set(int time, bool followGameTime);
    int     get();
    bool    update();
    bool    isRunning();
    void    save(FILE* handle);
    void    load(FILE* handle);

    static int  getGameTimeFactor();

private:
    int     mTime;
    bool    mFollowGameTime;
};

#endif // TIMER_H
